#version 330 core

layout(location = 0)in vec3 inPosition;

out vec3 varTexCoord;

out vec4 posInView;

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

void main()
{
    posInView = modelViewMatrix * vec4(inPosition, 1);
    gl_Position = projectionMatrix * posInView;
    varTexCoord = inPosition;
}
